---
title: "Add All Users to Group"
slug: "add-all-users-to-group"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/add-all-users-to-group"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Add All Users to Group
Post/api/v1/groups.addAll
Add all workspace users to the private channel. You can do this if you are a member of the private channel or have admin permissions.
### Changelog
| Version | Description |
| --- | --- |
| 0.55.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"roomId": "ByehQjC44FwMeiLbX",
"activeUsersOnly": true
}
```
object roomIdstring Required
Enter the group ID. Alternatively, you can enter the name using the `roomName` query parameter. You can find the IDs by using any of the following endpoints:
- [Get List of User Groups](https://developer.rocket.chat/apidocs/get-list-of-user-groups): This endpoint returns all private channels in the workspace, if you have the required permissions to view them.
- [Get Groups](https://developer.rocket.chat/apidocs/get-groups): This endpoint returns the private channels that you are a member of.
activeUsersOnlyboolean
Add only active users to the room.
Responses200
OK
Success
```json
{
"channel": {
"_id": "ByehQjC44FwMeiLbX",
"name": "groupname",
"t": "p",
"usernames": [
"example",
"rocket.cat"
],
"msgs": 0,
"u": {
"_id": "aobEdbYhXfu5hkeqG",
"username": "example"
},
"ts": "2016-05-30T13:42:25.304Z"
},
"success": true
}
```
Expand Allobject channelobject _idstring
namestring
tstring
usernames Array of string string
msgsinteger
uobject _idstring
usernamestring
tsstring
successboolean
400
Bad Request
Example 1
```json
{
"success": false,
"error": "The required \"roomId\" or \"roomName\" param provided does not match any group [error-room-not-found]",
"errorType": "error-room-not-found"
}
```
object successboolean
errorstring
errorTypestring
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring